## Script (Python) "NewsletterCentral_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=id='', title=None, description=None, default_format='', body='', testEmail='', authorEmail='', replyto='', activationMailSubject='', activationMailTemplate='', newsletterFooter='', notify=0, renderTemplate='', extraRecipients='', lynxCommand='', lynxOptions='', subscriber_folder_id=''
##title=Edit content and metadata
##
if not id:
    id = context.getId()

translate = context.translate

new_context = context.portal_factory.doCreate(context, id)
new_context.edit(title=title,
                 default_format=default_format,
                 testEmail=testEmail,
                 authorEmail=authorEmail,
                 replyto=replyto,
                 activationMailSubject=activationMailSubject,
                 activationMailTemplate=activationMailTemplate,
                 newsletterFooter=newsletterFooter,
                 notify=notify,
                 renderTemplate=renderTemplate,
                 extraRecipients=extraRecipients,
                 lynxCommand=lynxCommand,
                 lynxOptions=lynxOptions,
                 subscriber_folder_id=subscriber_folder_id)

new_context.plone_utils.contentEdit(new_context, 
                                    id=id, 
                                    description=description)

# contentEdit don't work for description as expected
new_context.setDescription(description)

return state.set(context=new_context, portal_status_message=translate('Newsletter Theme changes saved.', domain='plonegazette'))
